List traces
curl --request GET \
--url https://app.egma.ai/v1/traces \
--header 'Authorization: Bearer <token>'{
"traces": [
{
"traceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationNs": "<string>",
"spanCount": 123,
"turnCounts": {
"human": 123,
"agent": 123
},
"toolSpanCount": 123,
"erroredSpanCount": 123,
"source": "simulation",
"pov": "persona",
"environment": "<string>",
"connectionType": "<string>",
"providerCallId": "<string>",
"agentPlatform": "<string>",
"platformAgentId": "<string>",
"platformAgentName": "<string>",
"platformAgentVersion": "<string>",
"runId": "<string>",
"agentId": "<string>",
"preview": "<string>",
"turnResponseLatencyP90Milliseconds": 123,
"turnResponseLatencyP90Partial": true
}
],
"nextPageToken": "<string>",
"window": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Traces
List traces
GET
/
v1
/
traces
List traces
curl --request GET \
--url https://app.egma.ai/v1/traces \
--header 'Authorization: Bearer <token>'{
"traces": [
{
"traceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationNs": "<string>",
"spanCount": 123,
"turnCounts": {
"human": 123,
"agent": 123
},
"toolSpanCount": 123,
"erroredSpanCount": 123,
"source": "simulation",
"pov": "persona",
"environment": "<string>",
"connectionType": "<string>",
"providerCallId": "<string>",
"agentPlatform": "<string>",
"platformAgentId": "<string>",
"platformAgentName": "<string>",
"platformAgentVersion": "<string>",
"runId": "<string>",
"agentId": "<string>",
"preview": "<string>",
"turnResponseLatencyP90Milliseconds": 123,
"turnResponseLatencyP90Partial": true
}
],
"nextPageToken": "<string>",
"window": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Minimum string length:
1Available options:
simulation, production